## org.apache.xml.serializer
Class Encodings

    java.lang.Object
      org.apache.xml.serializer.Encodings

    public final class Encodings

extends java.lang.Object

Provides information about encodings. Depends on the Java runtime to provides writers for the different encodings. This class is only for internal use within Xalan. However, it is used directly by org.apache.xalan.xsltc.compiler.Output.

Usage:
  **For internal use only**

Constructor Summary
`Encodings()`

Method Summary
`static java.lang.String` `convertMime2JavaEncoding(java.lang.String encoding)` Try the best we can to convert a Java encoding to a XML-style encoding.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Encodings

    public Encodings()

Method Detail

### convertMime2JavaEncoding

    public static java.lang.String convertMime2JavaEncoding(java.lang.String encoding)

  Try the best we can to convert a Java encoding to a XML-style encoding.

  This is not a public API.

  Parameters:
    `encoding` - non-null reference to encoding string, java style.
  Returns:
    ISO-style encoding string.
  Usage:
    **For internal use only**

Copyright © 2005 Apache XML Project. All Rights Reserved.